Description

Hi there,

I read a thread on weightings for longitudinal analysis of UKHLS (Support #925) on using the ub weighting for the most recent wave

(which in this case would be 13). However, I am considering linking the Covid and general surveys through on the individual level. I

read the guidance on the Covid survey, which follows a similar logic to the general UKHLS weighting (the most recent of the 9

waves), and also using the combined weighting for the Covid-19 survey weights 2 and 6 (b & f). Is there any guidance for weightings

when both surveys are used in the analysis - would it simply be based on wave 10 (the pre-Covid survey) but adjusted for those who

do not appear in the Covid-19 survey?

Many thanks in advance,

Michael Francis

History

#1 - 04/17/2024 02:25 PM - Olena Kaminska

Michael,

You can use wave 9 of the mainstage with any Covid data without additional adjustment. Once you want to use later waves of the mainstage you

would need to create additional adjustment. The best way to do this is by creating a tailored weight as explained here:

https://www.understandingsociety.ac.uk/help/training/creating-tailored-weights/

Hope this helps,

Olena

#2 - 11/20/2024 03:33 PM - Understanding Society  User Support Team

- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 11/20/2024 03:33 PM - Understanding Society  User Support Team

- Assignee deleted (Olena Kaminska)

- Private changed from Yes to No

#4 - 12/06/2024 04:32 PM - Michael Francis

Hi Olga,

I just had another question regarding this, I hope that's ok!

So, my research combines the MainStage UKHLS (up to wave 14, n) and the Covid survey. However, in the merge, I am not using the Covid-19

survey as waves attached to the main survey, I am simply using the variables in the Covid survey to calculate dummy/conditional variables, e.g.., if

somebody was furloughed then 1, else 0. In this sense, I am not really using the Covid surveys as longitudinal data but more as an event. I have

followed the Moodle course and looked at various resources from the UKDS, I unfortunately had a work event and so could not attend the session

recently, but I have not been able to find a comparable situation to mine.

Would this still require me to create adjustment for probabilistic non-response for the covid-19 surveys, or could I just use the longitudinal weight up to

n? If I need to adjust further, is the following a possible approach:

1. Establish dummy variables for response = 1, else 0.

2. Using the base weight as the pre-Covid-19 survey, so wave k - I'm using the longitudinal adult interview/proxy weight indpxub_k.

2. Then using a logistic regression: covid_waves(any) ~ wave_k, to establish probability of responding in covid waves.

3. Then using logistic regression to predict response in last wave n, predicted by response in any covid-19 survey.

4. Then using the formula for inverse probabilistic response: base_weight_k * (1/prob_cov_waves) * (1/prob_wave_14).

Apologies for all the questions, I am just a bit stuck on how to interpret the nature of the covid-19 survey in relation to the main MainStage survey?
Thanks again for your help,

Michael Francis

#5 - 12/06/2024 05:24 PM - Understanding Society  User Support Team

- Status changed from Resolved to Feedback

- Assignee set to Olena Kaminska

#6 - 12/09/2024 02:38 PM - Olena Kaminska

Michael,

Thank you. Yes, you still need to create a tailored weight, because even though you are using an event information, the information itself comes from

Covid survey, and is not available for those who missed it. Hence you need to correct for that missingness.

If you are using all the waves up to wave 14, you can use wave 14 _lw weight as a base weight and correct for nonresponse to Covid survey.

Or you could start with wave 9 and model response, where response would be 1 if they are in your model (meaning they responded to relevant Covid

waves and relevant mainstage waves after wave 9), and 0 otherwise.

An advantage of starting with wave 14 _lw weight is that mortality is corrected for you already.

Hope this helps,

Olena

#7 - 12/10/2024 10:15 AM - Michael Francis

Great thank you for this quick reply, super helpful!

Michael
